Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.client
Class RequestLeaseSetJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.client.RequestLeaseSetJob

All Implemented Interfaces:
  Job

     class RequestLeaseSetJob

extends JobImpl

Async job to walk the client through generating a lease set. First sends it to the client and then queues up a CheckLeaseRequestStatus job for processing after the expiration. When that CheckLeaseRequestStatus is run, if the client still hasn't provided the signed leaseSet, fire off the onFailed job from the intermediary LeaseRequestState and drop the client.

Constructor Summary
`RequestLeaseSetJob(RouterContext ctx, ClientConnectionRunner runner, LeaseSet set, long expiration, Job onCreate, Job onFail, LeaseRequestState state)`

Method Summary
`String` | `getName()` Descriptive name of the task
`void` | `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RequestLeaseSetJob

    public RequestLeaseSetJob(RouterContext ctx,
                              ClientConnectionRunner runner,
                              LeaseSet set,
                              long expiration,
                              Job onCreate,
                              Job onFail,
                              LeaseRequestState state)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD